version: '3.8'

services:
  web:
    build: ./services/web
    volumes:
      - ./services/web/:/usr/src/app/
    expose:
      - 5000
    env_file:
      - ./.env.dev
    depends_on:
      - db

  nginx:
    build: ./services/nginx
    ports:
      - 1337:80
    depends_on:
      - web

  db:
    build: ./services/db
    volumes:
      - postgres_data:/var/lib/postgresql/data/
    environment:
      - POSTGRES_PASSWORD=postgres

volumes:
  postgres_data: